Skip to main content
Version: v2

Templates

Webhooks are a system-to-system communication tool that use a push-based communication strategy to allow you to set up user-defined HTTPS callbacks for events happening in the Mambu application.

For example, you can set up a webhook to notify one of your applications that a loan has been disbursed. Mambu will make a POST request to your application with a payload including information such as the loan account ID, client information, and amount. Your application can respond to this request itself or call back to Mambu to request more information and trigger additional actions in Mambu (such as creating a task or sending an email) or enrich and pass the call along to another partner service to trigger actions there.

Templates API allows you to create, update, retrieve, and delete such webhooks using Configuration as Code in the Notifications API V2 context. In order to update the values, the NOTIFICATIONS_API feature toggle needs to be enabled and the Notification Settings value set via API V2 needs to be also ENABLED`.

For more information on setting up webhooks via Templates API, see POST /templates/ and the Webhooks documentation: Webhooks. The Configuration as Code functionality enables you to make the same changes, but easier and faster, directly using API calls.